<#ibiztemplate>
TARGET=PSAPPDEUILOGIC
</#ibiztemplate>
<#--  获取逻辑节点类型  -->
<#macro getLogicNodeByType logicNode>
<#compress>
    <#if logicNode.getLogicNodeType?? && logicNode.getLogicNodeType()??>
        <#assign type = logicNode.getLogicNodeType()>
        <#if type == 'BEGIN'>
BeginNode
        <#elseif type == 'END'>
EndNode
        <#else>
LogicNodeBase
        </#if>
    <#else>
LogicNodeBase
    </#if>
</#compress>
</#macro>

/**
 * ${item.name}
 *
 * @export
 * @class ${srfclassname('${item.getCodeName()}')}UILogicBase
 */
export default class ${srfclassname('${item.getCodeName()}')}UILogicBase {

    /**
     * Creates an instance of  ${item.codeName}Base.
     * 
     * @param {*} [opts={}]
     * @memberof  ${srfclassname('${item.getCodeName()}')}UILogicBase
     */
    constructor(opts: any = {}) { }


    protected logicNodes: any = {
<#if item.getPSDEUILogicNodes?? && item.getPSDEUILogicNodes()??>
    <#list item.getPSDEUILogicNodes() as logicNode>
        '${logicNode.codeName}': new <@getLogicNodeByType logicNode />(),
    </#list>
</#if>
    }

    /**
     * 执行
     *
     * @param {any[]} args
     * @param {*} [context={}]
     * @param {*} [params={}]
     * @param {*} [$event]
     * @param {*} [xData]
     * @param {*} [actionContext]
     * @param {string} [srfParentDeName]
     * @memberof GridViewLoadUILogicBase
     */
    execute(args: any[], context:any = {} ,params: any = {}, $event?: any, xData?: any, actionContext?: any, srfParentDeName?: string) {
        console.log('执行UILogic ${item.name}');
    }


}